
:root{
    --main-color: #a2a0b1;
    --black-color: #0c0808;
    --border: 0.1rem  solid #675d5d ;
}

*{
    font-family: 'Poppins', sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: none;
    outline: none;
    border: none;
    text-decoration: none;
    transition: 0.3s ease;

}


html {
    font-size: 10px;
    overflow-x: hidden;
    scroll-padding-top: 144px;
    scroll-behavior: smooth;
}

 body{
    background-color: var(--main-color);
    
    height: 100%;
 }

 

.header .logo img{
    height: 100px;
    
}

.header{
    background-color: rgb(234, 234, 234);
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    padding: 0 7%;
    box-shadow: 13px 24px 107px 13px rgba(0,0,0,0.75);
    position:sticky;
    top: 30px;
    z-index:1000;
        
}

.header .navbar a{
    margin: 0 20px;
    color: var(--black-color);
    border-left: 9px solid transparent;
    font-family:'Times New Roman', Times, serif;
    font-size: 18px;
    font-weight:normal; 
    
} 


.header .navbar a:hover{
    border-color: var(--main-color);
    padding-left: 4px;

    
}
.header .sosyal a{
    margin: 0 20px;
    font-size: 16px;
    align-items: center;

} 


.mail img{
    height: 25px;
    float: right;
       
    
}
    
.tel img{
    height: 40px;
    float: right;
    
}

.header .sosyal .mail{
    display: flex;
    align-items: center;
    position: absolute;
    top: 55px;
    right: 7px;
    font-size: 10px;
    color: rgb(130, 112, 112);
    
}

.header .sosyal .tel{
    display: flex;
    align-items: center;
    position: absolute;
    top: 15px;
    right: 20px;
    font-size: 10px;
    color:  rgb(130, 112, 112);;
}


/* Masaüstü görünüm */
.header .navbar a,
.header .sosyal a {
    margin: 0 20px;
}

.header .sosyal .mail,
.header .sosyal .tel {
    display: flex;
    align-items: center;
    position: absolute;
    font-size: 10px;
    color: rgb(130, 112, 112);
}

.mail img,
.tel img {
    float: right;
}

/* Hamburger menü */
.hamburger-menu {
    display: none; /* Mobilde gösterilecek, masaüstünde gizlenecek */
}

/* Mobil uyumlu */
.header.mobile-menu-open .navbar,
.header.mobile-menu-open .sosyal {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin-top: 10px;
}

.header.mobile-menu-open .navbar a{
    margin: 10px 0;
}
.header.mobile-menu-open .sosyal {
  display: none;
}

.mobile-header {
    display: flex;
    justify-content: space-between; 
    align-items: center;
    padding:0 20px; /
}
.hamburger-menu {
  
  flex-direction: column;
  justify-content: space-around;
  width: 30px;
  height: 24px;
  cursor: pointer;
}

.bar {
  
  width: 100%;
  height: 4px;
  background-color: rgb(51, 101, 138);
  


}


@media screen and (max-width: 768px) {
  .header {
    background-color: rgb(234, 234, 234);
    display: flex;
    align-items: center;
    justify-content: space-between; /*  yatayda hizala */
    padding: 0 7%;
    box-shadow: 13px 24px 107px 13px rgba(0,0,0,0.75);
    position: sticky;
    top: 30px;
    z-index: 1000;
  }
  .header .navbar a {
    font-size: 10px;
    color:rgb(51, 101, 138) ;
    border-bottom: 4px solid rgb(51, 101, 138);
    border-right: 4px solid rgb(51, 101, 138);
    padding: 4px;
    border-left: none; 
    background-color:rgb(234, 234, 234);
    min-width: 80px;
    display: block;
    width: 30%;
    text-align: center;
    
  }
  
  .header .navbar {
    display: none;
    flex-direction: column;
    align-items:flex-start;
    position:absolute;
    top: 100%;
    left: 0;
    width: 100%;
    background-color:  var(--main-color);
    padding-top: 20px; 
    padding-bottom: 20px;
    padding-left: 20px;
    padding-right: 80px;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.1); 
  }
    /*  navbar ve sosyal kısmı gizle */
    .hamburger-menu {
        display: flex;
        flex-direction: column;
        justify-content: space-around;
        width: 30px;
        height: 24px;
        cursor: pointer;
        
    }

    
    .header .navbar,
    .header .sosyal {
        display: none;
    }
    .mobile-header {
      justify-content: flex-end;
  }
  .header.mobile-menu-open .navbar {
    display: flex;
  }

    .header .logo img {
        height: 100px; 
    }
    
}




/*SLAYT*/

.slideshow-container {
  position: relative;
  width: 100vw;
  height: 90vh;
  overflow: hidden;
  top:31px;
}

.slide {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  transition: opacity 2s;
}

.slide img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}




.slide.active {
  opacity: 1;
}

.controls {
  position: absolute;
  bottom: 20px;
  right: 20px;
  transform: translateX(-50%);
}

#btn {
  margin-top: 8px;
  display: inline-block;
  padding: 10px 30px; 
  color: rgb(234, 234, 234);
  background-color: black;
  cursor: pointer;
}

/* Mobil uyumlu  */
@media screen and (max-width: 768px) {
  .slide img {
    object-fit: cover;
  }

  .controls {
    bottom: 10px;
  }

  
}

/*    HAKKIMIZDA  */

.aciklama .baslik{
  color: #fff;
  text-transform: uppercase;
  font-size: 25px;
  margin-top: 4px;
  margin-left: 2px;
  margin-right: 10px;
  margin-bottom: 0px;
  border-bottom: 1px solid #fff;
  font-family: 'Times New Roman', Times, serif;
 }

.aciklama {
  padding: 100px;
  
}

.container {
  display: flex;
  align-items: flex-start;
   
}

.aciklama .container .image {
  display: flex;
  margin-left: 0px;

}



.content {
  display: flex;
  flex-direction: column;
  
}


h2 {
  margin-right: 30px;
  margin-top: 80px;
  color: rgb(7, 61, 96);
  font-family: 'Times New Roman', Times, serif;
}

p {
  margin: 0;
  font-family: 'Times New Roman', Times, serif;
  font-size: 15px;
  color: black;
  padding: 16px 0;
  line-height: 20px;
  margin-top: 20px;
}


.aciklama .container .content .btn{
  margin-top: 8px;
  display: inline-block;
  padding: 10px 30px;  
  color:black;
  background-color:  rgb(234, 234, 234);
  cursor: pointer;
  width: 30px;
  text-align: center; 
}


@media (max-width: 768px) {
  

  .aciklama {
    padding: 50px; 
  }

  .container {
    flex-direction: column;
    align-items: center; 
  }
  

  .aciklama .container .image {
    margin-left: 0; 
    margin-right: 0; 
    margin-bottom: 20px;
    
  }

  .aciklama .container .image img {
    max-width: 100%; 
    height: auto;
  }

  .aciklama .baslik {
    display: none;
  }

  h2 {
    margin-right: 0; 
    margin-top: 40px; 
  }

  .aciklama .container .content .btn {
    width:30px; 
    padding: 8px 20px; 
  }
}




/*urunler*/
.urunler .baslik{
  color: #fff;
  text-transform: uppercase;
  font-size: 25px;
  margin-top: 30px;
  margin-left: 100px;
  margin-right: 80px;
  margin-bottom: 30px;
  border-bottom: 1px solid #fff;
  font-family: 'Times New Roman', Times, serif;
 }

.urunler .box-container .box .box-bottom .btn{
  margin-top: 15px;
  display: inline-block;
  padding: 10px 30px; 
  color: rgb(234, 234, 234);
  background-color: black;
  cursor: pointer;

}

.urunler .box-container{
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px,1fr));
  gap: 20px;
  margin-left: 100px;
  margin-right: 55px;
}
.urunler .box-container .box{
  
  padding: 15px;
  background-color: #fff;
  min-height: 420px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: space-between;

}
.urunler .box-container .box img{
  width: 100%;
  object-fit: cover;
  border-radius: 2px;

}

.urunler .box-container .box .urunler-category{
  font-size: 10px;
  text-transform: capitalize;
}

.urunler .box-container .box h3{
  font-size: 10px;
  padding-top: 16px;
  align-items: center;
}

@media (max-width: 768px) {
  .urunler .baslik {
    margin-left: 0;
    margin-right: 0;
    border-bottom: none;
    text-align: center;
  }
  .urunler .box-container {
    display: block;
    margin-left: 20px;
    margin-right: 20px;
  }

  .urunler .box-container .box {
    margin-bottom: 20px;
  }
}


/* footer */

.fcontainer{
  max-width: 1170px;
  margin:50px auto;
  
}

.row{
  display:flex ;
  flex-wrap: wrap;
  margin: 10px;
  justify-content: center; /* Yatayda ortalama */
}

ul{
  list-style: none;
}

.footer{
  background-color: #0c0808;
  pad: 0 15px;
}

.col{
  flex: 1;
  padding: 0px 15px;
  margin: 70px 70px;
  max-width: 280px; /* Sütunları mobil ekrana sığacak genişlikte sınırlandırır */
  text-align: center; 
}


.col h4{
  font-size: 18px;
  color: white;
  text-transform: capitalize;
  margin-bottom: 35px;
  font-weight: 200;
  position: relative;
  font-weight: bold;
}



.col ul li:not(:last-child){
  margin-bottom: 30px;

}

.col ul li a{
  font-size: 16px;
  text-transform: capitalize;
  text-decoration: none;
  font-weight: 300;
  color: #bbbbbb;
  display: block;
  transition: all 0.3s ease;
  
  
  
}
.col ul li a:hover{
  opacity: 0.7;
  
  

}
.col ul li p{
  width: 100%;
  font-size: 14px;
  color: #bbbbbb;
  margin: 0px;
  padding: 10px; 
  display: flex;
  justify-content: center; 
  
}
 
  
  


.col .medias{
  display:grid;
  grid-template-columns:repeat(4,1fr) ;
  gap:10px;
  justify-content: center; /* Sosyal medya ikonlarını ortalamak için */
}

.col .media img{
  display: inline-block;
  height: 40px;
  width: 40px;
  background-color: rgba(255,255,255,0.2);
  margin: 0 5px 5px 0;
  text-align: center;
  line-height: 20px;
  color: #bbbbbb;
  transition: all 0.5s ease;
  cursor: pointer;
  

}


.col .media img:hover{
  color:#24262b;
  background-color: rgb(0, 0, 0);
}

@media (max-width: 768px){
  .col{
    width: 100%;
    max-width: none;
  }
  
  
}

.footer .credit{
  text-align: center;
  font-size: 12px;
  color:#5b5656;
  font-weight: 300;
  padding-bottom: 20px;
}

/* urunler sayfa */
.aciklama .baslikUrun {
  color: #fff;
  text-transform: uppercase;
  font-size: 25px;
  margin-top: 4px;
  margin-left: 2px;
  margin-right: 10px;
  margin-bottom: 0px;
  border-bottom: 1px solid #fff;
  font-family: 'Times New Roman', Times, serif;
  

}


.urunler .box-containerSayfa{
  
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px,1fr));
  gap: 20px;
  margin-top: 60px;
  margin-left: 100px;
  margin-right: 55px;
  margin-right: 148px;
}


.urunler .box-containerSayfa .boxSayfa{

padding: 3px;
background-color: #ffffff;
min-height: 300px;
display: flex;
flex-direction: column;
align-items: center;
justify-content: space-between;


}
.urunler .box-containerSayfa .boxSayfa img{
width: 100%;
object-fit: cover;
border-radius: 2px;
}

.aciklama .container{
  margin-left: 0px;
  padding-right: 100px;

}

.aciklama .container .imageF img{
height: 400px;
width: 600px;
margin-top: 60px;
margin-right: 60px;
padding: 3px;
background-color: #fff;
}


.aciklama .container .contentF h2{
margin-right: 30px;
margin-top: 60px;
color: rgb(7, 61, 96);

}

.aciklama .container .contentF  p{
margin: 0;
font-family: 'Times New Roman', Times, serif;
font-size: 15px;
color: black;
padding-top: 100px;
line-height: 20px;
margin-top: 20px;


}


/* Mobil uyumlu */
@media screen and (max-width: 767px) {
  .aciklama .container .imageF img {
    max-width: 100%;
    height: auto;
    margin: 20px auto;
  }

  

  .aciklama .container .contentF p {
    margin: 0;
  }

 
  .urunler .box-containerSayfa {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 20px;
    margin: 50px auto; 
    max-width: 1200px; 
    padding: 0 80px; 
    box-sizing: border-box; 
  }
  .aciklama .baslikUrun {
    margin-left: 0;
    margin-right: 0;
    border-bottom: none;
    text-align: center;
  }
  .aciklama .baslik h2{
    margin-left: 0;
    margin-right: 0;
    border-bottom: none;
    text-align: center;
  }
  

  
}
  

/*yedek parca*/
.aciklama .baslikYedek{
  color: #fff;
  text-transform: uppercase;
  font-size: 25px;
  margin-top: 4px;
  margin-left: 2px;
  margin-right: 10px;
  margin-bottom: 0px;
  border-bottom: 1px solid #fff;
  font-family: 'Times New Roman', Times, serif;

}


.aciklama .baslik2{
  color: #fff;
  text-transform: uppercase;
  font-size: 15px;
  border-bottom: 1px solid #fff;
  font-family: 'Times New Roman', Times, serif;
 }
.aciklama .altbaslik {
  font-size: 20px;
  margin-top: 40px;
  margin-bottom: 0px;
  padding: 0;
}

.aciklama .containerY .imageY img{
  height: 500px;
  width: 500px;
  margin-top: 30px;
  margin-bottom: 0px;
  margin-right: 60px;
  padding: 3px;
  background-color: #fff;
}
.aciklama .containerY{
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(100px,1fr));
  gap: 10px;
  margin-top: 10px;
  margin-bottom: 0px;
  margin-left: 50px;
  margin-right: 55px;
  padding: 0px;
}

/* Yedek Parça - mobil görünüm*/
@media screen and (max-width: 768px) {
  .aciklama {
    text-align: center;
  }

  .aciklama .containerY {
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    margin-left: 10px;
    margin-right: 10px;
  }
  
  .aciklama .containerY .imageY img {
    max-width: 100%;
    height: auto;
  }
}
/* iletişim*/
.iletisim .baslikİletisim{
  color: #fff;
  text-transform: uppercase;
  font-size: 25px;
  margin-top: 80px;
  margin-left: 100px;
  margin-right: 80px;
  margin-bottom: 30px;
  border-bottom: 1px solid #fff;
  font-family: 'Times New Roman', Times, serif;
 }



.iletisim .box-containerIletisim{
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px,1fr));
  gap: 20px;
  margin-left: 100px;
  margin-right: 55px;
}
.iletisim .box-containerIletisim .boxIletisim{
  
  padding: 15px;
  background-color: transparent;
  min-height: 100px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: space-between;

}

.iletisim .box-containerIletisim .boxIletisim iframe{
  
  height: 400px;
  object-fit: cover;
  border-radius: 2px;
  margin-right: 0px;

}
.iletisim .box-containerIletisim .boxIletisim img{
  display: flex;
  position: column;
  margin-top: 10px;
  width: 50px;
  height: 50px;
}
.iletisim .box-containerIletisim .boxIletisim .urunler-categoryIletisim{
  font-size: 10px;
  text-transform: capitalize;
  margin:0;
}

.iletisim .box-containerIletisim .boxIletisim h3{
  font-size: 10px;
  padding-top: 16px;
  align-items: center;
}

.rows{
  display:flex ;
  flex-wrap: wrap;
  
}

.columns ul li p{
 margin-top: 8px;

}


/* iletişim Mobil Görünüm Ayarları */

@media screen and (max-width: 767px) {

  .iletisim .baslikİletisim{
    margin-left: 0;
    margin-right: 0;
    border-bottom: none;
    text-align: center;
    
  }
  
  
  .iletisim .box-containerIletisim {
    grid-template-columns: 1fr;
    margin: 0 auto; 
    max-width: 400px; 
   
  }

 
  .iletisim .box-containerIletisim .boxIletisim {
    width: 100%; 
    max-width: 100%; 
    margin: 20px; 
    box-sizing: border-box; 
  }
  .iletisim .box-containerIletisim .boxIletisim iframe{
  
    height: 400px;
    object-fit: cover;
    border-radius: 2px;
    margin-right: 0px;
    max-width: 350px;
  
  }

 
  .iletisim .box-containerIletisim .boxIletisim .columns{
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 400px; 
  }

  .iletisim .box-containerIletisim .boxIletisim .columns p{
    font-size: 10px;

  }
    
}
 






